// -*-C++-*-
/*!
 * @file  SetSonsorPosInfoSVC_impl.h
 * @brief Service implementation header of SetSonsorPosInfo.idl
 *
 */

#include "SetSonsorPosInfoSkel.h"


#ifndef SETSONSORPOSINFOSVC_IMPL_H
#define SETSONSORPOSINFOSVC_IMPL_H
 
/*
 * Example class implementing IDL interface SetSonsorPosInfo
 */
class SetSonsorPosInfoSVC_impl
 : public virtual POA_SetSonsorPosInfo,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~SetSonsorPosInfoSVC_impl();

 public:
   // standard constructor
   SetSonsorPosInfoSVC_impl();
   virtual ~SetSonsorPosInfoSVC_impl();

   // attributes and operations
   CORBA::Short setCameraPos(CORBA::Double x, CORBA::Double y, CORBA::Double z);
   CORBA::Short setLRFPos(CORBA::Double x, CORBA::Double y, CORBA::Double z);

	double LRF_Set_X;
	double LRF_Set_Y;
	double LRF_Set_Z;
	double Camera_Set_X;
	double Camera_Set_Y;
	double Camera_Set_Z;
};



#endif // SETSONSORPOSINFOSVC_IMPL_H


